Subject: Re: Re: Segmentation fault with latest git (070c57df)

From: Jongman Heo <[email-masked]>
Date: Fri, 01 Feb 2013 09:14:42 +0000 (GMT)

Junio C Hamano<[email-masked]> wrote :
> 허종만 writes:
>> But usually when I build upstream Linux kernel, I don't do "make
>> clean" after git pull..  I didn't expect that I needed "make
>> clean" for git build.
>
> We don't expect anybody need "make clean", either.  There is
> something wrong in the dependency.

Hi all,

I can reproduce the issue in my machine (RedHat Enterprise 5, x86 PAE) as follows. 
But in my different machine (Fedora 16 x86) I can't reproduce.

  $ git reset --hard v1.8.1       # back to v1.8.1
  $ make clean 
  $ make all install               # this git works fine

  $ git pull                          # top commit 9a6c84e6, "Merge git://ozlabs.org/~paulus/gitk"
  $ make all install

  $ git fetch                         # this git segfaults
  Segmentation fault

So if there is any patch to test, just let me know  (but will not available during weekend).

Regards,
Jongman Heo